<?php

declare (strict_types=1);
namespace GDAVSCOPE\Amp\Http\Client\Interceptor;

use GDAVSCOPE\Amp\Http\Client\HttpException;
use GDAVSCOPE\Amp\Http\Client\Response;
class TooManyRedirectsException extends HttpException
{
    private Response $response;
    public function __construct(Response $response)
    {
        parent::__construct("There were too many redirects");
        $this->response = $response;
    }
    public function getResponse(): Response
    {
        return $this->response;
    }
}
